#!/bin/bash
export LANG=C.UTF-8

MY_EXTENSIONS_TO_INSTALL_DIR=/usr/share/texmaths
LO_EXTENSION_DIR=/usr/lib/libreoffice/share/extensions
if [ -x "${LO_EXTENSION_DIR}/" ]; then
   for EXT_FILE in "${MY_EXTENSIONS_TO_INSTALL_DIR}/"*.oxt ; do
     if [ -f "${EXT_FILE}" ]; then
       LO_EXTENSION=$(basename --suffix=.oxt ${EXT_FILE})
       if [ -e "${LO_EXTENSION_DIR}/${LO_EXTENSION}" ]; then
         echo "  Se ha remplazado la extensión ${LO_EXTENSION} correctamente"
         rm -rf "${LO_EXTENSION_DIR}/${LO_EXTENSION}"
       else
         echo "  Se ha añadido la extensión ${LO_EXTENSION} correctamente"
       fi
       unzip -q -d "${LO_EXTENSION_DIR}/${LO_EXTENSION}" "${MY_EXTENSIONS_TO_INSTALL_DIR}/${LO_EXTENSION}.oxt"
     else
       [ "$DEBUG" ] && echo "DEBUG: no se encuentra ningún fichero .oxt"
     fi
   done
 else
   echo "WARNING: No está instalado LibreOffice"
fi
